Summary:   Fast Assembly Mpeg Encoding library
Name:      libfame
Version:   0.9.1
Release:   13%{?dist}
License:   LGPL
Group:     System Environment/Libraries
Source0:   http://download.sourceforge.net/fame/%{name}-%{version}.tar.gz
Patch0:    %{name}-aclocal18.patch
Patch1:    %{name}-config-rpath.patch
Patch2:    %{name}-gccver.patch
Patch3:    %{name}-nomarch.patch
Patch4:    http://www.linuxfromscratch.org/blfs/downloads/svn/libfame-0.9.1-gcc34-1.patch
URL:       http://fame.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%package devel
Summary:   Libraries and include to develop using FAME
Group:     Development/Libraries
Requires:  %{name} = %{version}-%{release}

#---------------------------------------------------------------------

%description
FAME is a library for fast MPEG encoding.

%description devel
FAME is a library for fast MPEG encoding.
This package contains the libraries, include files and other resources
you can use to develop FAME applications.

#---------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0 -b .aclocal18
%patch1 -p0 -b .config-rpath
%patch2 -p1 -b .gccver
%patch3 -p1 -b .nomarch
%patch4 -p1 -b .mmxone
# yuk... prevent auto* from running due to gccvar and nomarch patches
touch config* aclocal.m4 `find -name Makefile.in`

#---------------------------------------------------------------------

%build
# Note: SSE support does nothing (as of 0.9.1).  grep for HAS_SSE.
export CC=%{__cc}
%configure --disable-dependency-tracking \
%ifarch i686 athlon pentium3 pentium4 ia64
  --enable-mmx
%else
  --disable-mmx
%endif
make %{?_smp_flags}

#---------------------------------------------------------------------

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#---------------------------------------------------------------------

%clean
rm -Rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS CHANGES COPYING README TODO
%{_libdir}/libfame*.so.*

%files devel
%defattr(-,root,root,-)
%exclude %{_libdir}/libfame.la
%{_bindir}/libfame-config
%{_includedir}/fame*.h
%{_libdir}/libfame.a
%{_libdir}/libfame.so
%{_datadir}/aclocal/libfame.m4
%{_mandir}/man3/fame*.3*

#---------------------------------------------------------------------

%changelog
* Mon Mar 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> 0.9.1-4
- Drop Epoch completely

* Thu Mar 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- switch to new release field
- drop Epoch

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Mon Apr 25 2005 Dams <anvil[AT]livna.org> - 0:0.9.1-0.lvn.3
- s/Copyright/License/

* Fri Dec 31 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:0.9.1-0.lvn.3
- Don't use MMX on x86_64

* Tue Dec 14 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.9.1-0.lvn.2
- Apply patch against undefined _mmx_one with gcc >= 3.4 from LFS.
- Build with dependency tracking disabled.
- Use MMX when built for pentium[34] too.
- Honor %%{__cc}.

* Sat Jul 17 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.9.1-0.lvn.1
- Update to 0.9.1.
- Control whether to use MMX based on buildarch.
- Include docs in main package.
- Avoid aclocal >= 1.8 warnings from libfame.m4.
- Avoid rpath in libfame-config.
- Fix gcc version detection.

* Tue May 18 2004 Dams <anvil[AT]livna.org> 0:0.9.0-0.lvn.7
- Fixed url in Source0

* Sun Sep 28 2003 Dams <anvil[AT]livna.org> 0:0.9.0-0.fdr.6
- Removed comment after scriptlets

* Mon Aug 11 2003 Dams <anvil[AT]livna.org> 0:0.9.0-0.fdr.5
- buildroot -> RPM_BUILD_ROOT

* Mon Apr  7 2003 Dams <anvil[AT]livna.org> 0:0.9.0-0.fdr.4
- Added closing parenthesis

* Thu Apr  3 2003 Dams <anvil[AT]livna.org> 0:0.9.0-0.fdr.3
- Added ".so" file to the devel package
- Corrected URL in source0

* Thu Apr  3 2003 Dams <anvil[AT]livna.org> 0:0.9.0-0.fdr.2
- Modified Requires/BuildRequires

* Wed Apr  2 2003 Dams <anvil[AT]livna.org> 0:0.9.0-0.fdr.1
- Reformated spec file according to fedora template/guidelines
